Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bugzilla DB migration completed. Please report issues to Infra team via email via infra@gentoo.org or IRC
Bug 331877 - app-crypt/rainbowcrack does not respect LDFLAGS
Summary: app-crypt/rainbowcrack does not respect LDFLAGS
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All Linux
: High QA (vote)
Assignee: Daniel Black (RETIRED)
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: ldflags
  Show dependency tree
 
Reported: 2010-08-09 16:44 UTC by Diego Elio Pettenò (RETIRED)
Modified: 2010-10-13 14:24 UTC (History)
3 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
Build log (rainbowcrack-1.2-r1:20100808-125548.log,6.69 KB, text/plain)
2010-08-09 16:45 UTC, Diego Elio Pettenò (RETIRED)
Details
Ebuild diff from main tree (rainbow.diff,447 bytes, text/plain)
2010-08-09 21:27 UTC, Dane Smith (RETIRED)
Details
New makefile patch (rainbowcrack-1.2-makefile.patch,1.40 KB, text/plain)
2010-08-09 21:27 UTC, Dane Smith (RETIRED)
Details
Full ebuild (rainbowcrack-1.2-r1.ebuild,1.95 KB, text/plain)
2010-08-09 21:28 UTC, Dane Smith (RETIRED)
Details
Updated makefile patch (rainbowcrack-1.2-makefile.patch,1.40 KB, text/plain)
2010-08-11 04:35 UTC, Dane Smith (RETIRED)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Diego Elio Pettenò (RETIRED) gentoo-dev 2010-08-09 16:44:59 UTC
See attached build log.

(Please do not complain about the need for looking at the build log until you can provide an easy way to open bugs with the correct data picked out of a tinderbox log. Thanks.)
Comment 1 Diego Elio Pettenò (RETIRED) gentoo-dev 2010-08-09 16:45:19 UTC
Created attachment 242085 [details]
Build log
Comment 2 Dane Smith (RETIRED) gentoo-dev 2010-08-09 19:39:35 UTC
I will work on this as time permits.
Comment 3 Dane Smith (RETIRED) gentoo-dev 2010-08-09 21:27:13 UTC
Created attachment 242147 [details]
Ebuild diff from main tree

Notes:
${FILESDIR}/${P}-asneeded.patch is no longer necessary.

I will also be attaching a new ${FILESDIR}/${P}-makefile.patch. This replaces the one currently in the tree. It will address the lack of respect for LDFLAGS (And will also take care of what the old ${FILESDIR}/${P}-asneeded.patch did).

Hope this helps.
Comment 4 Dane Smith (RETIRED) gentoo-dev 2010-08-09 21:27:51 UTC
Created attachment 242149 [details]
New makefile patch
Comment 5 Dane Smith (RETIRED) gentoo-dev 2010-08-09 21:28:23 UTC
Created attachment 242151 [details]
Full ebuild

Just in case anyone wants it.
Comment 6 Samuli Suominen gentoo-dev 2010-08-11 03:32:37 UTC
Comment on attachment 242149 [details]
New makefile patch

The patch is wrong. Libraries come before objects to the linker line.

<compiler> <*flags> <objects> <libs>
Comment 7 Samuli Suominen gentoo-dev 2010-08-11 03:33:33 UTC
(In reply to comment #6)
> (From update of attachment 242149 [details])
> The patch is wrong. Libraries come before objects to the linker line.

That should read: Libraries come after objects to the linker line. :-) sorry about that.

> 
> <compiler> <*flags> <objects> <libs>
> 

Comment 8 Dane Smith (RETIRED) gentoo-dev 2010-08-11 04:35:03 UTC
Created attachment 242371 [details]
Updated makefile patch

Correct makefile.patch. Thanks for the catch =)
Comment 9 Dane Smith (RETIRED) gentoo-dev 2010-10-13 14:24:11 UTC
13 Oct 2010; Dane Smith <c1pher@gentoo.org> +rainbowcrack-1.2-r2.ebuild,
  +files/rainbowcrack-1.2-makefile-asneeded.patch:
  Revision bump for rainbowcrack. Addresses lack of LDFLAGS respect wrt bug
  #331877.

Fixed in -r2.